/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.xmlparser;

import org.w3c.dom.Document;

/**
 * The interface for a DefinitionParser. This interface can be extended for own
 * implementations of a DefinitionParser but for the standard one there is just
 * a method which returns the new {@link Document} needed for transforming
 * 
 * @author noctarius
 * @since 0.0.1
 * @deprecated Use {@link org.sourceprojects.lycia.DefinitionBuilder} instead
 */
@Deprecated
public interface DefinitionBuilder {

	/**
	 * Returns the {@link Document} instance given by the {@link XmlParser}
	 * implementation
	 * 
	 * @return Document for transforming {@link Node}s
	 */
	Document getDocument();

}
