/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.xmlparser.internal.dom;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

/**
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class LSInputImpl implements LSInput {
	private String baseURI = null;
	private InputStream byteStream = null;
	private boolean certifiedText = false;
	private Reader characterStream = null;
	private String encoding = null;
	private String publicId = null;
	private String stringData = null;
	private String systemId = null;

	@Override
	public String getBaseURI() {
		return baseURI;
	}

	@Override
	public InputStream getByteStream() {
		return byteStream;
	}

	@Override
	public boolean getCertifiedText() {
		return certifiedText;
	}

	@Override
	public Reader getCharacterStream() {
		return characterStream;
	}

	@Override
	public String getEncoding() {
		return encoding;
	}

	@Override
	public String getPublicId() {
		return publicId;
	}

	@Override
	public String getStringData() {
		return stringData;
	}

	@Override
	public String getSystemId() {
		return systemId;
	}

	@Override
	public void setBaseURI(final String baseURI) {
		this.baseURI = baseURI;
	}

	@Override
	public void setByteStream(final InputStream byteStream) {
		this.byteStream = byteStream;
	}

	@Override
	public void setCertifiedText(final boolean certifiedText) {
		this.certifiedText = certifiedText;
	}

	@Override
	public void setCharacterStream(final Reader characterStream) {
		this.characterStream = characterStream;
	}

	@Override
	public void setEncoding(final String encoding) {
		this.encoding = encoding;
	}

	@Override
	public void setPublicId(final String publicId) {
		this.publicId = publicId;
	}

	@Override
	public void setStringData(final String stringData) {
		this.stringData = stringData;
	}

	@Override
	public void setSystemId(final String systemId) {
		this.systemId = systemId;
	}

}
